create table if not exists n_words(
	ID INT(255) auto_increment,	
	WORD VARCHAR(100) NOT NULL,
	PROFILE_ID INT(10) NOT NULL,
	SORT INT(10)  DEFAULT 500,
	primary key (ID)
);

create table if not exists n_profiles(
	PROFILE_ID INT(10) auto_increment,	
	NAME VARCHAR(100) NOT NULL,
	DATE_CREATE DATE NOT NULL,
	CREATED_BY SMALLINT(4)NOT NULL,
	DATE_MODIFIED DATE NOT NULL,
	MODIFIED_BY SMALLINT(4)NOT NULL,
	AGENT_START DATETIME,
	AGENT_EXISTS BOOLEAN DEFAULT 0,
	REGIONS VARCHAR(8000),
	PERIODICITY SMALLINT(4)NOT NULL,
	ACTIVE BOOLEAN DEFAULT 0,
	IBLOCK BOOLEAN DEFAULT 0,
	IBLOCK_ID SMALLINT(4) DEFAULT 0,
	IBLOCK_FROM VARCHAR(100), 
	IBLOCK_TO VARCHAR(100),
	primary key (PROFILE_ID)
);


create table if not exists n_wordstat(
	WID INT(255) auto_increment,		
	ID INT(255) NOT NULL,
	DATE_RESULT DATE NOT NULL,
	RESULT VARCHAR(100) NOT NULL,
	primary key (WID)
);

create table if not exists n_wordstat_manual(
	WTID INT(255) auto_increment,		
	ID INT(255) NOT NULL,
	PROFILE_ID INT(10),	
	WORD VARCHAR(100) NOT NULL,
	DATE_RESULT DATE NOT NULL,
	RESULT VARCHAR(100) NOT NULL,
	primary key (WTID)
);
