function ChangeCircleOver(elem){
	elem.setAttribute("r","5");		
}	
function ChangeCircleOut(elem){
	elem.setAttribute("r","3.5");		
}
function ChangeLineOver(elem){
	elem.setAttribute("stroke-opacity","1");		
}	
function ChangeLineOut(elem){
	elem.setAttribute("stroke-opacity","0.4");		
}
function ShowHideWord(elem){
	var wordId = elem.id.split("_")[1];
	var elems = document.getElementsByClassName("circle_"+wordId);
	if(elem.checked == true){
		if(elems.length>1){
			document.getElementById("line_" + wordId).setAttribute("style","display:inherited");			
		}
		for(var i=0; i<elems.length; i++){			
		    elems[i].setAttribute("style","display:inherited");		    
		} 			
	}
	else{
		if(elems.length>1){
			document.getElementById("line_" + wordId).setAttribute("style","display:none");
		}
		for(var i=0; i<elems.length; i++){			
		    elems[i].setAttribute("style","display:none");		    
		}			
	}
}
function ChangeProfile(elem){		
	window.open(window.location.toString().split("?")[0] +"?profile_id="+elem.value,'_self');
}
function ChangeDate(elem){	
	var dateFrom = document.getElementById("DATE_FROM").value;
	var dateTo = document.getElementById("DATE_TO").value;
	var profileId = document.getElementById("PROFILES").value;
	window.open(window.location.toString().split("?")[0] +"?profile_id="+profileId+"&from="+dateFrom+"&to="+dateTo,'_self');
}
function ShowAll(elem){	
	var profileId = document.getElementById("PROFILES").value;
	window.open(window.location.toString().split("?")[0] +"?profile_id="+profileId,'_self');
}

function Start(){
	//кружкам задаем увеличение размера при наведении
	var elems = document.getElementsByTagName('circle');
	for(var i=0; i<elems.length; i++){			
	    elems[i].onmouseover = function(){ChangeCircleOver(this);};
	    elems[i].onmouseout = function(){ChangeCircleOut(this);};
	} 

	//линиям задаем увеличение видимости при наведении
	elems = document.getElementsByClassName('lineStat');
	for(var i=0; i<elems.length; i++){			
	    elems[i].onmouseover = function(){ChangeLineOver(this);};
	    elems[i].onmouseout = function(){ChangeLineOut(this);};
	} 

	//смотрим слова с наибольшим результатом и делаем их видимыми
	elems = document.getElementsByClassName('words');
	var wordsViewCount = document.getElementById("WORD_VIEW_COUNT").value;
	var wordsView = [];
	var min = [];		
	for(var i=0; i<elems.length; i++){			
	    elems[i].onchange = function(){ShowHideWord(this);};
	    if((wordsViewCount-wordsView.length)>0){
	     	wordsView[wordsView.length] = [elems[i].id,elems[i].value];
	    }
	    else{
	     	min = [0,wordsView[0]];
	     	for	(var j = 1; j < wordsView.length; j++) {
			    if((wordsView[j][1]-min[1][1])<0){
			     	min = [j,wordsView[j]];
			    }
			}
			if((elems[i].value - min[1][1])>0){
			 	wordsView[min[0]] = [elems[i].id,elems[i].value];
			} 
	    }
	}
	for(var j=0; j<wordsView.length; j++) {			
	     elem = document.getElementById(wordsView[j][0]);
	     elem.checked = true;
	     ShowHideWord(elem);
	}
}
